CACOSH(3)

NAME
cacosh, cacoshf, cacoshl - complex arc hyperbolic cosine

SYNOPSIS
#include <complex.h>

double complex cacosh(double complex z);
float complex cacoshf(float complex z);
long double complex cacoshl(long double complex z);

Link with -lm.

DESCRIPTION
The cacosh() function calculates the complex arc hyperpolic cosine of z. If y = cacosh(z), then z = ccosh(y). The imaginary part of y is chosen in the interval [-pi,pi]. The real part of y is chosen nonnegative.

One has:
    cacosh(z) = (0.5) * clog((1 + z) / (1 - z))

VERSIONS
These functions first appeared in glibc in version 2.1.

CONFORMING TO
C99.

SEE ALSO
acosh(3), cabs(3), cimag(3), complex(7)

COLOPHON
This page is part of release 3.25 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.